Main Page Class List Class Members

# Nv::Blast::ExtSerializer Class Reference

`#include <NvBlastExtSerializationInternal.h>`

List of all members.

## Public Member Functions
virtual void * | deserializeFromBuffer (const void *buffer, uint64_t size)=0
virtual const char * | getDescription () const =0
virtual uint32_t | getEncodingID () const =0
virtual const char * | getName () const =0
virtual uint32_t | getObjectTypeID () const =0
virtual bool | isReadOnly () const
virtual void | release ()=0
virtual uint64_t | serializeIntoBuffer (void *&buffer, ExtSerialization::BufferProvider &bufferProvider, const void *object, uint64_t offset=0)=0
virtual | ~ExtSerializer ()

## Detailed Description

Serializer internal interface

## Constructor & Destructor Documentation

virtual Nv::Blast::ExtSerializer::~ExtSerializer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void* Nv::Blast::ExtSerializer::deserializeFromBuffer | ( | const void * | buffer,
|  | uint64_t | size |
| ) |  |  | `[pure virtual]`

Deserialize from a buffer into a newly allocated object.

Parameters:

  `[in]` | buffer | Pointer to the buffer to read.
  `[in]` | size | Size of the buffer to read.

Returns:
  object pointer; returns null if failed to deserialize.

virtual const char* Nv::Blast::ExtSerializer::getDescription | ( |  | ) | const`[pure virtual]`

return a description of this serializer.

virtual uint32_t Nv::Blast::ExtSerializer::getEncodingID | ( |  | ) | const`[pure virtual]`

return an identifier for serialization format.

virtual const char* Nv::Blast::ExtSerializer::getName | ( |  | ) | const`[pure virtual]`

return the name of this serializer.

virtual uint32_t Nv::Blast::ExtSerializer::getObjectTypeID | ( |  | ) | const`[pure virtual]`

return an identifier for the type of object handled.

virtual bool Nv::Blast::ExtSerializer::isReadOnly | ( |  | ) | const`[inline, virtual]`

Whether or not this serializer supports writing. Legacy formats, for example, may not.

Returns:
  true iff this serialization does not support writing.

virtual void Nv::Blast::ExtSerializer::release | ( |  | ) | `[pure virtual]`

Release the serializer and free associated memory.

virtual uint64_t Nv::Blast::ExtSerializer::serializeIntoBuffer | ( | void *& | buffer,
|  | ExtSerialization::BufferProvider & | bufferProvider,
|  | const void * | object,
|  | uint64_t | offset = `0` |
| ) |  |  | `[pure virtual]`

Serialize into a buffer. Allocates the buffer internally using the ExtSerialization::BufferProvider callack interface.

Parameters:

  `[out]` | buffer | Pointer to the buffer created.
  `[in]` | bufferProvider | The buffer provider callback interface to use.
  `[in]` | object | Object pointer.

Returns:
  the number of bytes serialized into the buffer (zero if unsuccessful).

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/NvBlastExtSerializationInternal.h